This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1315368 - Move helpers into foreman core
Move helpers into foreman core
Status: CLOSED WORKSFORME
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer (Show other bugs)
6.0.4
Unspecified Unspecified
unspecified Severity medium (vote)
: Beta
: --
Assigned To: Tomas Strachota
David Davis
http://projects.theforeman.org/issues...
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-07 09:55 EST by Eric Helms
Modified: 2016-04-22 11:06 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-04 09:19:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 4118 None None None 2016-04-22 11:06 EDT

  None (edit)
Description Eric Helms 2016-03-07 09:55:17 EST
We'd like to use some of these helper methods in hammer-cli-katello:

https://github.com/theforeman/hammer-cli-foreman/tree/master/test/unit/helpers

Should we move them into hammer-cli instead of copying the files over to hammer-cli-katello?
Comment 1 Eric Helms 2016-03-07 09:55:19 EST
Created from redmine issue http://projects.theforeman.org/issues/4118
Comment 2 Eric Helms 2016-03-07 09:55:22 EST
Upstream bug assigned to tstrachota@redhat.com
Comment 5 David Davis 2016-04-04 09:19:38 EDT
Verified that the work was done. Nothing to test for QA though.

Note You need to log in before you can comment on or make changes to this bug.